#!/bin/sh

# check/add a new path to ld.so.conf
Add_ldso()
{
	local ldcnf=etc/ld.so.conf
	local newlib=

	if [ $# -eq 1 ]; then
		newlib=$1
	else
		# wrong params, abort silently
		return 1
	fi

	if [ -s $ldcnf ]; then
		if [ -z "`fgrep -x $newlib $ldcnf`" ]; then
			echo "$newlib" >> $ldcnf
		fi
	else
		echo "$newlib" >> $ldcnf
	fi
	chmod 644 $ldcnf
	return 0
}

# create symlinks to be usable even without calling 'ldconfig'
( cd usr/X11R6/lib ; ln -sf libX11.so.6.0 libX11.so.6 )
( cd usr/X11R6/lib ; ln -sf libXIE.so.6.0 libXIE.so.6 )
( cd usr/X11R6/lib ; ln -sf libXaw.so.6.0 libXaw.so.6 )
( cd usr/X11R6/lib ; ln -sf libXt.so.6.0 libXt.so.6 )

# add library path
Add_ldso /usr/X11R6/lib

